[arch-commits] Commit in mozilla-common/trunk (4 files)

Jan de Groot jgc at archlinux.org
Sat Jun 13 09:06:48 EDT 2009


    Date: Saturday, June 13, 2009 @ 09:06:48
  Author: jgc
Revision: 42377

upgpkg: mozilla-common 1.4-1
    Add CSH profile.d script (FS#14567)
Remove /opt/mozilla/plugins from plugin path. The move to /usr is a very long time ago, plugins should have switched by now

Added:
  mozilla-common/trunk/mozilla-common.csh
Modified:
  mozilla-common/trunk/PKGBUILD
  mozilla-common/trunk/mozilla-common.install
  mozilla-common/trunk/mozilla-common.sh

------------------------+
 PKGBUILD               |   14 ++++++++------
 mozilla-common.csh     |    1 +
 mozilla-common.install |    5 -----
 mozilla-common.sh      |    2 +-
 4 files changed, 10 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-13 13:01:25 UTC (rev 42376)
+++ PKGBUILD	2009-06-13 13:06:48 UTC (rev 42377)
@@ -2,17 +2,19 @@
 # Maintainer: dale <dale at archlinux.org>
 
 pkgname=mozilla-common
-pkgver=1.3
+pkgver=1.4
 pkgrel=1
 pkgdesc="Common Initialization Profile for Mozilla.org products"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.mozilla.org/"
-install=$pkgname.install
-source=(mozilla-common.sh)
-md5sums=('2ecf5090ce1170c7e280e8d726952f8a')
+install=mozilla-common.install
+source=(mozilla-common.sh
+        mozilla-common.csh)
+md5sums=('39451f6fe87d3cb224e140322c55eb27'
+         '924887e41bd96db37029f479befe40cf')
 
 build() {
-  install -m755 -d ${startdir}/pkg/etc/profile.d
-  install -m755 ${startdir}/src/mozilla-common.sh ${startdir}/pkg/etc/profile.d/ || return 1
+  install -m755 -d "${pkgdir}/etc/profile.d"
+  install -m755 mozilla-common.{,c}sh "${pkgdir}/etc/profile.d/" || return 1
 }

Added: mozilla-common.csh
===================================================================
--- mozilla-common.csh	                        (rev 0)
+++ mozilla-common.csh	2009-06-13 13:06:48 UTC (rev 42377)
@@ -0,0 +1 @@
+setenv MOZ_PLUGIN_PATH "/usr/lib/mozilla/plugins"


Property changes on: mozilla-common/trunk/mozilla-common.csh
___________________________________________________________________
Added: svn:executable
   + *

Modified: mozilla-common.install
===================================================================
--- mozilla-common.install	2009-06-13 13:01:25 UTC (rev 42376)
+++ mozilla-common.install	2009-06-13 13:06:48 UTC (rev 42377)
@@ -1,9 +1,4 @@
 post_install() {
   echo "relogin or source /etc/profile.d/mozilla-common.sh"
 }
-
-post_upgrade() {
- post_install $1
-}
-
 # vim:set ts=2 sw=2 et:

Modified: mozilla-common.sh
===================================================================
--- mozilla-common.sh	2009-06-13 13:01:25 UTC (rev 42376)
+++ mozilla-common.sh	2009-06-13 13:06:48 UTC (rev 42377)
@@ -1 +1 @@
-export MOZ_PLUGIN_PATH="/usr/lib/mozilla/plugins:/opt/mozilla/lib/plugins"
+export MOZ_PLUGIN_PATH="/usr/lib/mozilla/plugins"



More information about the arch-commits mailing list